# Externe Fehlercodes 

Der MS-Connector implementiert interne Fehlercodes für technisches Logging und externe FehlerCodes welche zur Rückgabe an den Benutzer / die Benutzerin, Service-Provider oder andere Applikationen gedacht sind. Diese Trennung zwischen internen und externen Fehlercodes ist ein maßgäblicher Sicherheitsaspekt um einem potentiellen Angreifer möglichst wenig Informationen über den internen Status preiszugeben. Dem zur Folge werden standardmäßig alle internen FehlerCodes, sofern nicht speziell behandelt, mit dem externen FehlerCode <i>9199</i> für <i>Allgemeiner interner Fehler</i> nach extern returniert.  Die nachfolgende Tabelle listet die aktuell speziell nach außen gemappted Fehlercodes.

### Fehlercodes

| *Externer <br>Fehlercode* | *Beschreibung*                                               |
| :------------------------ | ------------------------------------------------------------ |
| 1000                      | Der Anmeldeprozess konnte nicht vorgeführt werden da die Session unbekannt oder ungültig ist |
| 1001                      | Die zeitliche Gültigkeit des Anmeldeprozesses wurde überschritten |
|                           |                                                              |
|                           |                                                              |
| 1005                      | Abbruch durch den Benutzer                                   |
| 2000                      | Anfrage des ausländischen eIDAS Knoten konnte nicht erfolgreich verarbeitet werden |
| 2001                      | Anfrage des ausländischen eIDAS Knoten konnte nicht erfolgreich validiert werden |
| 2002                      | Antwort an den ausländischen eIDAS Knoten konnte nicht erfolgreich erstellt werden |
|                           |                                                              |
| 2100                      | Validierungsfehler bei der Verarbeitung von sektor-spezifischen Attributen |
|                           |                                                              |
| 3000                      | Allgemeiner Fehler bei der Kommunikation mit dem ID Austria System |
| 3001                      | ID Austria System antwortet mit dem Fehler                   |
| 3002                      | Fehler bei der Validierung der Antwort vom ID Austria System |
|                           |                                                              |
| 9101                      | Allgemeine Information zum Aufruf des MS-Connectors außerhalb eines Anmeldevorgangs |
| 9199                      | Allgemeiner interner Fehler                                  |

