# MS-Proxy-Service v1.3.0 Release vom 24.10.2024

Das MS-Proxy-Service implementiert eine Bridge zwischen dem österreichischen E-ID System und dem eIDAS Framework um österreichischen Benutzern eine Anmeldung an ausländischen Service-Providern zu ermöglichen.

### Änderungen in dieser Version

  - Features
      
        - Support für sektor-spezifisches SDG/OOTS PowerOfRepresentationScope Attribute hinzugefügt
      
  - Diverse kleinere UX Anpassungen / Optimierungen / Fehlerbehebungen

  - Logging optimiert

  - Aktualisierung von Drittherstellerbibliotheken
      - eIDAS Node Referenze Implementierung v2.8.1
      
      - Spring-Framework 5.3.39
      
      - jackson 2.18.0
      
      - Apache CXF 3.5.9
      
      - guava 33.3.1-jre
      
      - commons-io 2.17.0
      
      - joda-time 2.13.0
      
        

### Durchführen eines Updates 

Nachfolgend finden Sie die erforderlichen Schritte für das Update eines bestehenden MS-Proxy-Service auf die aktuelle Version 1.3.0. Das vollständige Handbuch mit allen Konfigurationsparametern finden Sie im Releasepackage im Verzeichnis: _infos/handbook/_

### Ausgehend von einer bestehenden Version 1.2.0

1. Stoppen Sie die *MS-Proxy-Service* Applikation und fertigen Sie eine Sicherungskopie Ihrer Applikation inklusive Konfiguration an
2. Entpacken Sie das Releasepacket *ms_specific_proxyservice-1.3.0-dist.zip* in ein temporäres Verzeichnis welches in weiterer Folge __MsProxyServicePackage__ bezeichnet wird.
3. Kopieren sie die Applikation __MsProxyServicePackage__/ms_proxyservice.war nach in das Applikationsverzeichnis ihres Applikationsservers
4. Update bestehender Dateien . Die nachfolgenden Dateien wurden geändert und erfordern eine Anpassung oder eine Übernahme dem Releasepacket, sofern die Anpassung nicht bereits durchgeführt wurde
   * Vollständige Übernahme: __MsProxyServicePackage__/config/misc/error_conf.yaml
   * Vollständige Übernahme: __MsProxyServicePackage__/config/misc/idaAttributeMapping.json
   * Vollständige Übernahme: __MsProxyServicePackage__/config/eIDAS/additional-attributes.xml
5. Optionale neue Konfigurationsparameter
   - ```eidas.ms.advanced.attributes.oots.powerofrepresentation.enabled```
   - ```eidas.ms.advanced.attributes.oots.powerofrepresentation.additional.ida.attributes```
   - ```eidas.ms.advanced.attributes.oots.powerofrepresentation.scopes```
